Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.webapp
Class FacesServlet

    java.lang.Object
      javax.faces.webapp.FacesServlet

All Implemented Interfaces:
  javax.servlet.Servlet

public final class FacesServlet
extends java.lang.Object
implements javax.servlet.Servlet

Version:
  $Revision: 294841 $ $Date: 2005-10-04 13:13:34 -0400 (Tue, 04 Oct 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)

Field Summary
`static java.lang.String` | `CONFIG_FILES_ATTR`
`static java.lang.String` | `LIFECYCLE_ID_ATTR`

Constructor Summary
`FacesServlet()`

Method Summary
`void` | `destroy()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`java.lang.String` | `getServletInfo()`
`void` | `init(javax.servlet.ServletConfig servletConfig)`
`void` | `service(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILES_ATTR

    public static final java.lang.String CONFIG_FILES_ATTR

See Also:
  Constant Field Values

### LIFECYCLE_ID_ATTR

    public static final java.lang.String LIFECYCLE_ID_ATTR

See Also:
  Constant Field Values

Constructor Detail

### FacesServlet

    public FacesServlet()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`

### getServletInfo

    public java.lang.String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD